/*
 * ARJ+xenu is based on open-source ARJ by Andrew Belov <andrew_belov@newmail.ru>.
 *
 * Copyright (C) 2011 Tomasz Konojacki <xenu@poczta.onet.pl>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * ---------------------------------------------------------------------------
 * Prototypes of the functions located in EA_MGR.C are declared here.
 *
 *
 */

#ifndef EA_MGR_INCLUDED
#define EA_MGR_INCLUDED

unsigned int get_ea_size(char *name);
unsigned int get_eablk_size(char FAR *blk);
unsigned int get_num_eas(char FAR *blk);
int discard_ea(char *name);
int query_ea(char FAR **dest, char *name, int skip_ln);
int set_ea(char FAR *i_eas, char *name);
int detect_ea(char *name);
int resolve_longname(char *dest, char *name);

#endif

