;*
;* ARJ+xenu is based on open-source ARJ by Andrew Belov <andrew_belov@newmail.ru>.
;*
;* Copyright (C) 2011 Tomasz Konojacki <xenu@poczta.onet.pl>
;*
;* This program is free software; you can redistribute it and/or
;* modify it under the terms of the GNU General Public License
;* as published by the Free Software Foundation; either version 2
;* of the License, or (at your option) any later version.
;*
;* This program is distributed in the hope that it will be useful,
;* but WITHOUT ANY WARRANTY; without even the implied warranty of
;* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;* GNU General Public License for more details.
;*
;* You should have received a copy of the GNU General Public License
;* along with this program; if not, write to the Free Software
;* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
;* ---------------------------------------------------------------------------
;* This file provides a far memory comparison routine.
;*

INCLUDE         ASM_INCL.INC

;*
;* Exported stubs
;*

public          far_memcmp

.CODE _TEXT

;*
;* Comprares two FAR memory blocks
;*

far_memcmp      proc, str1:dword, str2:dword, len:word
                push    ds
                push    es
                push    si
                push    di
                push    cx
                mov     cx, len
                jcxz    @matched
                cld
                lds     si, str1
                les     di, str2
                repe    cmpsb
                jcxz    @matched
                mov     ax, 1
                jmp     short @ret
@matched:
                sub     ax, ax
@ret:
                pop     cx
                pop     di
                pop     si
                pop     es
                pop     ds
                ret
far_memcmp      endp

        	end
